This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 184163 - username haldaemon exceeds 8 chars in length
username haldaemon exceeds 8 chars in length
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-06 17:46 EST by Dax Kelson
Modified: 2013-03-05 22:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 19:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2006-03-06 17:46:01 EST
Description of problem:

The username "haldaemon" is 9 characters in length and violates a long
standing convention of 8 character maximum username lengths.

This has a real world impact in the output of the "ls" and "ps" commands.
Besides the visual glitches and mis-alignments from those commands, they are
often used as input to shell scripts which might mis-execute when their input
changes.

Additionally, old tar and cpio may not deal well with username > 8 chars.
Comment 1 John (J5) Palmieri 2006-03-06 18:18:48 EST
It is too late to fix this in hal.  Presumably the tools should be fixed to deal
with long user names.
Comment 2 Dax Kelson 2006-03-06 19:14:12 EST
It would be great if it was fixed for FC5, but not expected given the late date.

You can't fix "ps" or "ls".

How about fixing this when rawhide opens again for FC6?
Comment 3 David Zeuthen 2006-09-28 19:22:39 EDT
Nope, it would break upgrades etc., not going to happen. Plus, I know Debian has
the same policy and I think they now regret they are using the user name 'hal'
as it's a somewhat common name at least here in the US. Sorry.

Note You need to log in before you can comment on or make changes to this bug.